> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Import a pinned Git skill on one Agent

> Requires immutable Git commit provenance and manage_agents plus manage_skills.



## OpenAPI

````yaml /openapi/control-plane-public.json post /api/v1/workspaces/{workspaceId}/agents/{agentId}/skills/import
openapi: 3.1.0
info:
  title: AcornOps Control Plane API
  version: 0.0.1-experimental.1
  description: >-
    Control plane API for workspaces, targets, Kubernetes clusters, virtual
    machines, sessions, runs, auth, and internal execution wiring.
servers:
  - url: https://api.acornops.dev
security: []
tags:
  - name: health
    description: Health and readiness endpoints.
  - name: auth
    description: >-
      OIDC, password, browser session, and external integration account link
      endpoints.
  - name: workspaces
    description: Workspace, target, Kubernetes cluster, and VM management endpoints.
  - name: webhooks
    description: Best-effort webhook subscription and delivery history endpoints.
  - name: sessions
    description: Session and message endpoints.
  - name: runs
    description: Run query, cancel, and stream endpoints.
  - name: workflows
    description: >-
      Workspace workflow definitions, schedules, sessions, and approval inbox
      endpoints.
  - name: catalog
    description: >-
      MCP registries, destination-bound browsing, scoped MCP imports, and
      credential connections.
  - name: agents
    description: >-
      Workspace-scoped custom agent definitions, triggers, versions, tests, and
      activity.
  - name: admin
    description: Operator-only admin API protected exclusively by admin bearer tokens.
  - name: internal
    description: Internal execution endpoints for execution-engine.
paths:
  /api/v1/workspaces/{workspaceId}/agents/{agentId}/skills/import:
    post:
      tags:
        - agents
      summary: Import a pinned Git skill on one Agent
      description: >-
        Requires immutable Git commit provenance and manage_agents plus
        manage_skills.
      parameters:
        - $ref: '#/components/parameters/PathWorkspaceId'
        - $ref: '#/components/parameters/PathAgentId2'
      responses:
        '201':
          description: Skill imported.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSkillResponse'
        '400':
          $ref: '#/components/responses/Error400'
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '409':
          $ref: '#/components/responses/Error409'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
      security:
        - userSession: []
components:
  parameters:
    PathWorkspaceId:
      in: path
      name: workspaceId
      required: true
      schema:
        type: string
        format: uuid
        example: 4b930d98-add9-4924-ab26-3c16d96ec373
    PathAgentId2:
      in: path
      name: agentId
      required: true
      schema:
        type: string
  schemas:
    AgentSkillResponse:
      type: object
      required:
        - skill
      properties:
        skill:
          $ref: '#/components/schemas/AgentSkill'
      additionalProperties: false
    AgentSkill:
      type: object
      required:
        - id
        - name
        - description
        - enabled
        - revision
        - contentDigest
        - source
        - files
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        enabled:
          type: boolean
        revision:
          type: integer
        contentDigest:
          type: string
          pattern: '^sha256:'
        source:
          type: object
          additionalProperties: true
        files:
          type: array
          items:
            type: object
            additionalProperties: true
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
              description: Optional structured error details.
  responses:
    Error400:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error401:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error403:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error404:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error409:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error429:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Error500:
      description: Error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    userSession:
      type: apiKey
      in: cookie
      name: acornops_cp_session

````